org.apache.hadoop.hdfs.server.blockmanagement

## Class BlockManagerFaultInjector

- java.lang.Object
- - org.apache.hadoop.hdfs.server.blockmanagement.BlockManagerFaultInjector

-     public class BlockManagerFaultInjector
      extends Object

  Used to inject certain faults for testing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BlockManagerFaultInjector` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockManagerFaultInjector()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BlockManagerFaultInjector` | `getInstance()`
    `void` | `incomingBlockReportRpc(org.apache.hadoop.hdfs.protocol.DatanodeID nodeID, org.apache.hadoop.hdfs.server.protocol.BlockReportContext context)`
    `void` | `removeBlockReportLease(org.apache.hadoop.hdfs.server.blockmanagement.DatanodeDescriptor node, long leaseId)`
    `void` | `requestBlockReportLease(org.apache.hadoop.hdfs.server.blockmanagement.DatanodeDescriptor node, long leaseId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static BlockManagerFaultInjector instance

  - ### Constructor Detail

    - #### BlockManagerFaultInjector

          public BlockManagerFaultInjector()

  - ### Method Detail

    - #### getInstance

          public static BlockManagerFaultInjector getInstance()

    - #### incomingBlockReportRpc

          public void incomingBlockReportRpc(org.apache.hadoop.hdfs.protocol.DatanodeID nodeID,
                                             org.apache.hadoop.hdfs.server.protocol.BlockReportContext context)
                                      throws IOException

      Throws:
        `IOException`

    - #### requestBlockReportLease

          public void requestBlockReportLease(org.apache.hadoop.hdfs.server.blockmanagement.DatanodeDescriptor node,
                                              long leaseId)

    - #### removeBlockReportLease

          public void removeBlockReportLease(org.apache.hadoop.hdfs.server.blockmanagement.DatanodeDescriptor node,
                                             long leaseId)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.